VerticalOriginTable
Date: 2017-05-25

org.apache.fontbox.ttf

## Class VerticalOriginTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.VerticalOriginTable

-     public class VerticalOriginTable
      extends TTFTable

  A vertical origin 'VORG' table in an OpenType font. The purpose of this table is to improve the efficiency of determining vertical origins in CFF fonts where absent this information the bounding box would have to be extracted from CFF charstring data. This table is strongly recommended by the OpenType CJK Font Guidelines for "CFF OpenType fonts that are used for vertical writing". This table is specified only in the OpenType specification (1.3 and later).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG` A tag that identifies this table type.

    - ### Fields inherited from class org.apache.fontbox.ttf.TTFTable

      `font, initialized`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOriginY(int gid)` Returns the y-coordinate of the vertical origin for the given GID if known, or returns the default value if not specified in table data.
    `float` | `getVersion()`
    `void` | `read(TrueTypeFont ttf, org.apache.fontbox.ttf.TTFDataStream data)` This will read the required data from the stream.

    - ### Methods inherited from class org.apache.fontbox.ttf.TTFTable

      `getCheckSum, getInitialized, getLength, getOffset, getTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      A tag that identifies this table type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### read

          public void read(TrueTypeFont ttf,
                  org.apache.fontbox.ttf.TTFDataStream data)
                    throws java.io.IOException

      This will read the required data from the stream.
      Parameters:
        `ttf` - The font that is being read.
        `data` - The stream to read the data from.
      Throws:
        `java.io.IOException` - If there is an error reading the data.

    - #### getVersion

          public float getVersion()

      Returns:
        Returns the version.

    - #### getOriginY

          public int getOriginY(int gid)

      Returns the y-coordinate of the vertical origin for the given GID if known, or returns the default value if not specified in table data.
      Parameters:
        `gid` - GID
      Returns:
        Returns the y-coordinate of the vertical origin.